Maintaining Job Network Definitions

#### Search Results

Search

# Maintaining Job Network Definitions

This document covers the following topics:

Note
The Active Run subnode of the Network Master node correlates with the Active Run subnode of the Network Active node. Both subnodes control the same active runs. If you use both subnodes to change active runs during a session, consider refreshing them manually to make sure that you view the latest status.

- Listing all Network Definitions

- Available Functions: Network Master

- Adding a Network Definition

- Displaying a Network Definition

- Modifying a Network Definition

- Fields: Network Definition

- OS Specials - Operating System and Environment Defaults

- Specifying Recipients for Network Messages

- Granting Definition: Authorizing Other Users or Owners to Access a Network

- Long Description - Documenting Your Networks

- Deleting a Job Network

## Listing all Network Definitions

To list all networks defined for an owner

- In the object workspace, select the Network Master node of an owner instance and choose List from the context menu.

  Or:
  Use the direct command `LIST NETWORKS` as described in the Direct Commands documentation.

  A Network Master List window like the example below opens:

  The window lists all networks defined for the selected owner.

  For further information, see:

  - Columns: Network Master List

  - Available Functions: Network Master

### Columns: Network Master List

The Network Master List window contains the following columns:

Column | Description
--- | ---
Network | User-defined network name.
Loop |
blank column | No loop was found during a loop test for the corresponding network.
`Yes` | A loop was found during a loop test for the corresponding network.
Node | Default execution node for the jobs in the network.
Description | Short description of the network.

## Available Functions: Network Master

To list all available functions for the Network Master metanode

- In the object workspace, select a Network Master metanode and open the context menu.

  The context menu provides the following functions:

  Function | Shortcut | Description
  --- | --- | ---
  List | F8 | See Listing All Network Definitions.
  New | CTRL+N | Creates a new network master instance: see Adding a Network Definition.
  Refresh | F5 | See Refreshing Object Lists.
  Filter | F3 | Selection criteria for listing network masters: see Filtering Objects.
  Paste data | CTRL+V | See Copying Job Network Definitions.
  Export | --- | See Exporting Objects in the Import/Export Functions documentation.
  Set Drag And Drop Function | --- | See Drag & Drop.

To list all available functions for a Network Master instance

- In the object workspace, select a Network Master instance and open the context menu.

  The context menu provides the following functions:

  Function | Shortcut | Description
  --- | --- | ---
  Open | CTRL+O | Modifies the selected network definition.
  Display | CTRL+D | Displays the selected network definition.
  Diagram | --- | Displays an overview of the job flow within this network. See Viewing and Maintaining a Job Network Diagram.
  Delete | DELETE | Deletes the selected network, including all jobs and all other definitions for this network.
  Copy data | CTRL+C | Copies all definitions of the selected network to paste them as a new network: see Copying Job Network Definitions.
  Copy Defaults | --- | Copies network attribute definitions of the selected network as the default for all jobs contained in the network: see Applying Network Defaults to Jobs (Mass Update).
  Activate Network | --- | Activates the selected network manually.
  History | --- | Displays the execution history (previous network runs).
  Define Scheduling | --- | Opens a Define Scheduling window where you can add or change the schedule of the selected network as described in Scheduling a Network.
  Display Schedule | --- | Displays the calendar schedule defined for the selected network. See also Viewing a Network Schedule Definition as a Calendar.
  Next Activations | --- | See Displaying Next Network Starts - Next Activations in the section Schedule Maintenance.
  Usable Symbol Tables | --- | Opens the Usable Symbol Tables window to view or modify all available symbol table definitions. See also Listing Usable Symbol Tables in the section Symbol Table and Symbol Maintenance.
  Check for Loop | --- | Checks for loops in the network.
  Version Usage | --- | Maintains the usage of network versions.
  List Active Jobs | --- | Lists active jobs defined for this network: see Listing Active Jobs.
  Browse Log | --- | See Displaying Logged Information - Browse Log Function.
  Export | --- | See Exporting Objects in the Import/Export Functions documentation.
  Add to Workplan | --- | Stores a reference to the currently selected object in a list of activities to be done. See also Add to Workplan.
  Set Drag And Drop Function | --- | See Drag & Drop Function.

## Adding a Network Definition

To create a new network master instance

1. In the object workspace, select a Network Master instance.

2. Invoke the context menu and choose the New function.

   Or:
   Press CTRL+N.

   A Create new Network Master window opens:

   The fields contained in the window are explained in Fields: Network Definition.

3. Enter the required values and select the required options.

4. Choose OK when you are finished.

   Your entries are saved.

## Displaying a Network Definition

Displays job value, operating system special, symbol prompting and granting definition information for the currently selected Network Master.

The Display function invokes a dialog that displays the information for the currently selected network definition. You can only view the information, not edit it. If you want to edit the item, you have to use the Open function.

To display a network definition

1. In the object workspace, select an owner from the Owner node and then a network definition from the Network Master node.

2. Invoke the context menu and choose the Display function.

   Or:
   Press CTRL+D.

   A Network Master window opens that displays all available information for the selected network definition.

   The fields and tabs of the Network Master window are explained in Fields: Network Definition.

## Modifying a Network Definition

Opens job value, operating system special, symbol prompting and granting definition information for the currently selected network master in editing mode.

To modify a network definition

1. In the object workspace, select a Network Master instance.

2. Invoke the context menu and choose the Open function.

   Or:
   Press CTRL+O.

   A Network Master window like the example below opens:

3. Now, you can edit the fields you want to change.

   The fields and tabs of the Maintenance Network Master window are explained in Fields: Network Definition.

4. Select OK.

   Your changes are saved.

## Fields: Network Definition

The fields and tabs of the Create/Maintenance Network Master window are described in the following table:

Field/Tabbed Page | Description
--- | ---
Owner | Owner of the network.
Network | Network name. Together with owner name, uniquely identifies the network in the master database.
Version | Network version. You can add a new network with a blank (`unnamed`) version or an alphanumeric version name: see Version Names and Reserved Version Names for Networks. You can use the Create new Network Master window for all additional versions you want to add to an existing network. New network versions can also be created by copying networks as described in Copying Job Network Definitions. For further information, see Maintaining Job Network Versions.
Description | Short description of the network. This text appears in the list of networks in the Network List window. A longer description of the network can be added using the editor (see Documenting Your Networks).
Default Values for the Jobs | The input fields on this tabbed page are used to specify default values for subsequent new job definitions in the network. Each default value specified here can be overridden at the job level.
Use symbol as execution node | Mark this option if you want to use a symbol for the execution node (see below).
Execution node | Default node ID on which jobs within this network are submitted. This value can be modified here or overridden at the job level (see the field Execution Node in Job Maintenance). The drop-down list box shows all nodes available for selection. The operating system type appears after a valid node number. You can define the execution node as a symbol if the Use symbol as execution node option (see below) is selected. For details, see Symbols in Node Definitions in the section Symbol Table and Symbol Maintenance.
Use symbol as JCL node | Mark this option if you want to use a symbol for a JCL node (see below).
JCL node | Node on which JCL can be accessed. The default is the same as for the Execution node. The operating system type appears after a valid node number. The context menu of the selected node is the same as for Execution node. You can define the JCL node as a symbol if the Use symbol as JCL node option (see above) is marked. For details, see Symbols in Node Definitions in the section Symbol Table and Symbol Maintenance.
JCL location | Type of storage for the JCL: see List of JCL Locations. The default is used in new job definitions and can be overridden there.
Symbol table | Default symbol table for those jobs in the network that use the dynamic JCL generation facility. Can be overridden at the job level and is therefore optional here. The drop-down list box shows all symbol tables available for selection. Using the context menu, you can choose various commands, see Available Functions: Symbol. You can also use the context menu in the empty field to choose one of the following functions:
Command | Function
New | A Create new Symbol Table Master window opens. Proceed as described in Adding a Symbol Table Master. You can then select the newly created symbol table from the selection list of the field Symbol table.
Paste data | See below.
To insert a symbol table Copy the symbol table to be inserted to the clipboard as described in Copying Objects . In the empty field Symbol table choose Paste data from the context menu. The window Paste data Symbol Table Master is displayed as described in Pasting Objects. Replace the entry of column Object name to paste with the new name of the symbol table and choose OK. The new symbol table is created. It can be selected from the selection list of the field Symbol table.
Version (symbol table) | You can maintain several versions of a symbol table. The drop-down list box shows all symbol table versions available for selection. Reserved names:
blank | Unknown (implicit) version.
`(current)` | Is replaced by the current version for the activation date or determination date.
`(nv)` | Is replaced by the version of the network used.
For further information, see Versioning of Symbol Tables in the section Symbol Table and Symbol Maintenance.
Activation mode (symbol table) | From the drop-down list box you can choose either of the following: During the network activation. No symbol prompting is possible. After schedule extraction. Symbol prompting can be used for scheduled networks. This is the default.
Activation (escape characters) | Activation Escape Character = Network default value This escape character is the prefix for Natural code lines and symbols to be replaced at activation time. Caution Existing Dynamic JCL might become invalid after changing this escape character and applying defaults to jobs.
Submission (escape characters) | Submission Escape Character = Network default value This escape character is the prefix for Natural code lines and symbols to be replaced at submission time. Caution Existing Dynamic JCL might become invalid after changing this escape character and applying defaults to jobs.
End-of-Job Action Errors impact Job Result | If you select this check box, for all output condition(s) defined for job events at the step level, the default checks All Checks ok or Any Check not ok are performed after all End-of-Job actions are performed. This includes End-of-Job action (EJA) exits. Any error that occurs in the End-of-Job action processing then causes the setting of the conditions for job `not ok`. If the job was already set to `not ok`, it will remain `not ok`, regardless of the definition here. Notes: Setting this option may cause a longer elapsed time of a network, because the condition setting waits for the termination of the other End-of-Job actions. The network level setting will be overridden by job settings. This option does not change the settings of any conditions defined for any individual events. If the check box is not selected, errors during End-of-Job action processing will have no impact on the job result. Job level: If the field is empty, the network level definition will be inherited at activation time. This is the default. See also the field End-of-Job Action in the job master definition.
File | Name of the file or Natural library according to the value of the JCL Location field. For BS2000: The default pubset will be stripped from the file name prior to storing it. This allows easier migration to another default pubset.
VolSer | Volume serial number of data set (if data set is not cataloged).
OS Specials | This tabbed page is described in OS Specials - Operating System and Environment Defaults.
Symbol Prompting | This tabbed page is described in Symbol Prompting during Network or Job Activation in the section Symbol Table and Symbol Maintenance.
Granting Definition | This tabbed page is described in Granting Definition: Authorizing Other Users or Owners to Access a Network.
Scheduling | This tabbed page is described in Scheduling a Network in the section Schedule Maintenance.
Long Description | This tabbed page is described in Long Description - Documenting Your Networks.
Message and Message Recipients | This tabbed page is described in Specifying Recipients for Network Messages.
Main | This tabbed page is used to specify retention periods for an active network and active conditions. See Retention of Active Network Data.

### Retention of Active Network Data

You can specify how long data from an active network run is stored in the active database by using the Retention period for network and Deactivation mode for active conditions options provided on the Main page of the Create/Maintenance Network Master window.

The settings specified here override the retention periods for active networks and active conditions, respectively, set in the Entire Operations defaults (see Defaults for Time Ranges in the Administration documentation).

> Retention Period for Network

>   This option is used to keep active network data in the active database for the minimum number of days specified in the days field.

>   The following rules apply:

>   - Valid input values for days are 1 to 9999.

>     If no value is entered in this field (default), the default retention period set for active networks in the Entire Operations defaults is used.

>   - If the network is not completed within the given period, a warning message is sent to the mailbox(es) associated with the network.

>   - For unfinished active jobs, the retention periods set in the Entire Operations defaults and the retention period set for the single network calculate the actual retention period as follows:

>     (active jobs default - active networks default) + single network period = actual retention period

>     Example: (12 days - 10 days) + 5 days = 7 days

> Deactivation Mode for Active Conditions

>   This option is used to remove active job conditions from the active database after a network run.

>   Possible option settings are:

>   The global retention period for active conditions applies | Remove active conditions after the period (1 or more days) specified as retention period for active conditions in the Entire Operations defaults under Time Ranges. This is the default setting.
>   For manual and API network deactivations | Remove active job conditions set by a network run immediately after the network is deactivated either manually or by an API (application programming interface).
>   For all network deactivations | Remove active conditions set by a network run immediately after the network is deactivated either manually or automatically.

## OS Specials - Operating System and Environment Defaults

To specify operating system specific defaults

1. In a Network Master window, select the OS Specials tab and then the required operating system from the Operating System drop-down list box.

   Depending on the operating system selected, different input fields are provided on the page as shown in the example of BS2000 below:

2. Enter the required values.

   For information on all fields available, see Input Fields: Network Defaults.

3. Choose OK when you are finished.

This section covers the following topic:

### Input Fields: Network Defaults

The input fields available on the tabbed page OS Special depend on the operating system selected as indicated in the following table:

Field | Description
--- | ---
Operating system | Operating system/environment: BS2000, z/OS, z/VSE or UNIX/Windows.
Activation escape | Activation Escape Character = Network default value specific for operating system This escape character is the prefix for Natural code lines and symbols to be replaced at activation time. Caution Existing Dynamic JCL might become invalid after changing this escape character and applying defaults to jobs.
Submission escape | Submission Escape Character = Network default value specific for operating system This escape character is the prefix for Natural code lines and symbols to be replaced at submission time. Caution Existing Dynamic JCL might become invalid after changing this escape character and applying defaults to jobs.
JCL User ID | (Not applicable to z/VSE) The user ID to be used for JCL loading
BS2000: If this field is not empty, the JCL is loaded with the rights of this BS2000 user ID. It can be overwritten with specific definitions. TSOS may only be defined if the user himself has logged on under TSOS. Default: The user ID from the fully qualified file name. If this field is left empty in a job definition, then the Default User ID will be inserted during the activation of the job.
z/OS: JCL in z/OS will be loaded under this user ID by the Entire Operations Monitor. You can define this field only if you are logged on to the JCL node with the same user ID. Default: If this field is left blank, the user ID of the last modification will be used as JCL user ID.
UNIX and Windows: With the authorization of this user ID, the Entire Operations Monitor loads the JCL of type TXT.
See also the default setting User ID Definition (Defaults for Other Settings, Administration documentation), Operating System User IDs and Default User ID Determination.
Submit User ID | (Not applicable to z/VSE) The user ID to be used at job start
BS2000: The Entire Operations Monitor starts jobs in BS2000 under this user ID. In the network definition, this is a default value for the jobs. If this field is left empty in a job definition, then the Default User ID is inserted during the activation of the job.
z/OS: The Entire Operations Monitor starts jobs in z/OS under this user ID. You can only define this user ID if you have logged on to the executing node with the same user ID. Default: If this field is empty, the user ID of the last modification is taken as submit user ID.
UNIX and Windows: With the authorization of this user ID, the Entire Operations Monitor starts the script or the executable program.
See also the default setting User ID Definition (Defaults for Other Settings, Administration documentation), Operating System User IDs and Default User ID Determination.
Applies to BS2000 only:
Default User ID | This user ID is a default for all objects of this job network or job which are linked to a user ID.
Job Class | This job class is a default for all jobs in the network. It can be overridden by specific definitions.
Account Number | This account number is a default for the Submit User ID defined for the job network. It can be overridden by specific definitions.
Job Priority | If not empty, this job priority will be used during submission and will override a possible setting in the LOGON statement. The default value on network level will be used for new job definitions.
Run Priority | If not empty, this run priority will be used during submission and will override a possible setting in the LOGON statement. The default value on network level will be used for new job definitions.
SYSOUT User ID | This is the user ID under which internal SYSOUT files are created by Entire Operations. If you do not enter an ID here, the Submit User ID is used. See also the default setting User ID Definition (Defaults for Other Settings, Administration documentation), Operating System User IDs and Default User ID Determination.
SYSOUT Cat ID | This is the catalog ID under which internal SYSOUT files are created by Entire Operations. This field is meaningful only if a SYSOUT user ID different from the submit user ID is used.
Applies to UNIX and Windows only:
JCL Group | Applies to UNIX only (optional) If this field is left blank, the standard group of the UNIX user ID is used as defined under `/etc/passwd`. Otherwise, this field must contain one of the groups issued by the UNIX command groups.
Submit Group | Applies to UNIX only (optional) If this field is left blank, the standard group of the UNIX user ID is used as defined under `/etc/passwd`. Otherwise, this field must contain one of the groups issued by the UNIX command groups.

## Specifying Recipients for Network Messages

You can define one or more users (recipients) to receive network-related standard messages that are sent when a specified event occurs. This is especially useful for sending information about the abnormal end of a job.

Among the events, which can cause a message to be sent, are:

- a calendar not defined for next year;

- a network not correctly terminated;

- symbol prompting requests.

The specific message text is generated automatically by the Entire Operations Monitor.

To define or remove recipients for network-related messages

1. In a Network Master window, open the tabbed page Message and Message Recipients.

2. Change, add or remove a message recipient as described under Recipients in Step 3 of To view or change a notification message in the section Defining Notification Messages (Job Maintenance).

Note
You cannot change the text of network-related standard messages.

## Granting Definition: Authorizing Other Users or Owners to Access a Network

Entire Operations allows you to authorize other users and owners to access a network that belongs to you.

Users grouped under the owner SYSDBA have unlimited access to all networks in the system. They do not need the authorization described in this section.

Users and linked owners (lower than administrator) have limited access rights to granted networks in accordance with the rights specified in their user profiles and the restrictions specified in their individual network granting definition.

The Owner via Granting metanode lists all owners who granted network access for your user ID: see Listing Granted Owners in the section Using Owners.

To add or modify a granting definition

1. In a Network Master window, open the tabbed page Granting Definition:

2. Select a user type.

3. Select the Add button.

   A Granting Definition window like the example below opens:

4. Specify the rights for the previously selected user. The fields and options available are described in Fields: Granting Definition.

5. Select OK.

To delete a granting definition

1. On the Granting Definition page, select the table row that contains the user or owner whose granting definition you want to remove and choose Delete.

   A window prompts you to confirm the deletion.

2. Choose Yes to confirm the deletion (No cancels the action) and close the window.

3. Choose OK to save your changes.

The users and owners you can remove depend on your user authorization. For the delete restrictions that apply, see Adding and Removing an Owner.

### Fields: Granting Definition

The columns on the Granting Definition page and the corresponding fields and options in the Granting Definition window are described in the following table:

Column/Field | Description
--- | ---
User Type | Specifies the users to be authorized for network access. Possible options:
Owner | All users linked to the owner specified in the User ID field.
User | A defined user.
User ID | User or owner to be granted network access. If the access rights are given to an owner, all linked users can obtain these access rights. You can select a user from the drop-down list box.
Options | Authorization level for network access. You can select one or more of the following authorization levels:
Read only | Read authorization (maintenance not allowed).
Write capability | Read and write authorization (maintenance allowed except delete network).
Delete capability | Read, write and delete authorization for the user or owner entered in the Name field.
Owner of network | Read, write and delete authorization. Authorization is also granted to all users and owners possibly authorized by the specified owner.
Activate network | Activate network authorization.

## Long Description - Documenting Your Networks

You can add a brief description of a job network when defining a network in the Network Master window. This short description appears in the list of networks in the Network Master List window.

If you wish to add more online documentation for a network, you can invoke the Entire Operations editor.

As an alternative to a descriptive text, you can also enter an URL address that be used as a hyperlink to open another page inside or outside your Windows application.

This hyperlink also works when you display the long description of a network.

To create or modify a long description or hyperlink (URL) reference

1. In a Network Master window, open the tabbed page Long Description.

2. Enter an explanatory text or a hyperlink by choosing either of the following options.

   (You can choose Clear if you want to remove all entries on the Long Description page.)

   Enter an explanation concerning the network master or replace existing text as shown below:

   Or:
   Enter a URL address that starts with `http://` or `https://` as shown below:

   The URL must not contain any blank characters but it can extend over several lines. The lines are then concatenated without trailing blanks.

   You can use one URL only.

   Choose Open URL to open the default browser associated with your Windows application and view the destination page.

   (This button only appears when you enter `http://` or `https://`.)

3. When you are finished, choose Apply or OK.

## Deleting a Job Network

Only authorized users can delete a network. Only networks without active runs and version usage can be deleted.

Deleting a network also deletes all definitions made for the network on lower levels using network and job maintenance functions.

Entire Operations saves the last run number of a deleted network. The first run of a new network under the same name receives the last run number incremented by 1.

To delete a network

1. In the object workspace, select an owner from the Owner node and then a network definition from the Network Master node.

2. Invoke the context menu and choose the Delete function.

   Or:
   Press DELETE.

   A dialog prompts you to confirm the delete request.

3. Choose Yes.

   If the delete is rejected, you receive an appropriate error message on the reason.

Note
If active objects related to this network are still existing, the network deletion will be rejected with an error message. In this case, please refer to the Entire Operations log. The first object will be logged, which prevents the network deletion.

### On this page

- Listing all Network Definitions
- Available Functions: Network Master
- Adding a Network Definition
- Displaying a Network Definition
- Modifying a Network Definition
- Fields: Network Definition
- OS Specials - Operating System and Environment Defaults
- Specifying Recipients for Network Messages
- Granting Definition: Authorizing Other Users or Owners to Access a Network
- Long Description - Documenting Your Networks
- Deleting a Job Network